=== conf/Makefile ===
#
# $Id: Makefile,v 1.1.1.1 2004/06/22 23:13:05 dlehman Exp $
#
# $Log: Makefile,v $
# Revision 1.1.1.1  2004/06/22 23:13:05  dlehman
# Import of pwdb-0.62
#
# Revision 1.1.1.1  1998/10/06 20:58:43  gafton
# Imported version 0 into the current tree
#
#

dummy:
	@echo "*** This is not a top level Makefile!"

##########################################################

all:
	@echo "*** Nothing to make in this directory"

install: /etc/pwdb.conf

/etc/pwdb.conf: ./pwdb.conf
	bash -f ./install_conf

remove:
	rm -f /etc/pwdb.conf

check:
	bash -f ./md5itall

RCScheck:
	if [ -x ./md5RCS ]; then bash -f ./md5RCS ; fi

clean:
	rm -f core *~ .ignore_age
