=== fingerd/Makefile ===
all: fingerd

include ../MCONFIG
include ../MRULES

fingerd: fingerd.o
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@

fingerd.o: pathnames.h ../version.h

install: fingerd
	install -d $(INSTALLROOT)$(SBINDIR)
	install -m$(DAEMONMODE) fingerd $(INSTALLROOT)$(SBINDIR)/in.fingerd
	install -d $(INSTALLROOT)$(MANDIR)/man8
	install -m$(MANMODE) fingerd.8 $(INSTALLROOT)$(MANDIR)/man8/in.fingerd.8
	ln -sf in.fingerd.8 $(INSTALLROOT)$(MANDIR)/man8/fingerd.8

clean:
	rm -f *.o fingerd
