=== packaging/Debian/debian/changelog ===
samba (3.0.0-1) unstable; urgency=low

  * Local build.

 -- Debian User <somebody@somewhere.com>  Tue, 23 Sep 2003 21:50:26 -0400

samba (3.0.0beta2+3.0.0rc4-1) unstable; urgency=low

  * New upstream version.

 -- Eloy A. Paris <peloy@debian.org>  Sat, 13 Sep 2003 08:47:56 -0400

samba (3.0.0beta2+3.0.0rc3-1) unstable; urgency=low

  * New upstream release. Last Release Candidate according to the
    Samba Team. Samba 3.0.0 is around the corner, in a week or so.
    - Fixes use of non-PIC code in nss shared libraries (closes: #208773)
    - 'unix password sync' option now runs the unix password program as
      root again (closes: #209739).
  * One-line patch to make packages buildable with distcc (closes: #210227)

 -- Eloy A. Paris <peloy@debian.org>  Tue,  9 Sep 2003 07:57:16 -0400

samba (3.0.0beta2+3.0.0rc2-1) unstable; urgency=low

  * New upstream release.
  * Incorporate Dutch debconf translations; thanks to Bart Cornelis
    <cobaco@linux.be>. (closes: #207824)
  * Link against libgnutls7 instead of libgnutls5. (closes: #208151)

 -- Eloy A. Paris <peloy@debian.org>  Tue,  2 Sep 2003 21:37:13 -0400

samba (3.0.0beta2+3.0.0rc1-1) unstable; urgency=low

  * New upstream version (skipped samba 3.0.0beta3 due to time
    constraints.) This ugly version number will go away when the final
    Samba 3.0.0 is released.
  * Drag new unpackaged tools into the packages: smbcquotas (smbclient),
    vfs modules (samba), smbtree(1) manpage (smbclient), tdbbackup(8)
    manpage (samba). (closes: #151158)
  * Switch to DH_COMPAT level 4:
    - no explicit conffile listings needed
    - the postinst for libsmbclient is now completely autogenerated
    - use the default init script handling (with support for
      invoke-rc.d) in debhelper, instead of the currently buggy upgrade
      path (closes: #185439)
    - add support for ${misc:Depends} in control for those packages with
      init scripts
  * Add versioned dependency on libpam-runtime and change
    /etc/pam.d/samba to use the new common PAM config blocks.
  * New python2.3-samba package (old python2.2-samba is no more.)
    (closes: #206171)

 -- Eloy A. Paris <peloy@debian.org>  Mon, 25 Aug 2003 17:05:14 -0400

samba (3.0.0beta2-1) unstable; urgency=low

  * New upstream release
    - The smb.conf(5) manpage documents config options again
      (closes: #197963).
    - Handling of winbind/idmap has been restructured; domain members
      should be able to map domain accounts to local accounts again
      (closes: #196815).
    - Use the locale charset for 'display charset' by default
      (closes: #194406).
    - Fix for segfault in smbclient when using the -b option
      (closes: #196833).
    - Handle an empty 'passdb backend' list gracefully (closes: #193946).
  * Don't set 'display charset' anymore on upgrade, since this is now
    grabbed from the locale by default -- a much better option.
  * Removed time.c.patch which is now in the upstream sources.
  * Update FHS patch for two new tdb files (netsamlogon_cache.tdb,
    privilege.tdb).
  * Remove python-linker.patch, since the Kerberos package has been
    fixed to no longer use rpath
  * Remove configure.patch: the hppa glibc bug this was added for is
    long since fixed, and upstream isn't interested in supporting this
    kludge.
  * Update references to missing documentation in sample smb.conf file
    (closes: #187632).
  * Fix handling of krb5 link line, building on a patch from Stefan
    Metzmacher <metze@metzemix.de>.
  * Add patch so smbclient's tar support works with popt
    (closes: #194921).

 -- Steve Langasek <vorlon@debian.org>  Wed,  2 Jul 2003 20:59:09 -0500

samba (3.0.0beta1-2) unstable; urgency=low

  * Update build-deps to libacl1-dev (>= 2.2.11-1), libacl1 (>= 2.2.11-1)
    to make sure we get the right shlib dependencies (closes: #193149).
  * Update the dhcp config hooks so they're suitable for sourcing (i.e.,
    don't call "exit") (closes: #196477).
  * Bring package into line with current policy by adding support for
    the DEB_BUILD_OPTIONS flag, and enabling debugging symbols (-gstabs)
    by default
  * Make sure libpam-smbpass is a self-contained DSO.
  * Fix a typo in samba-common.dhcp that caused us to spuriously rewrite
    the server list.
  * Fix python install script to ignore -Wl linker flags, as seen in the
    output from the latest krb5-config.
  * Add LDAP and Unicode information about upgrading from 2.2 to
    README.debian.
  * Remove dangerous and confusing browse options from the default 
    smb.conf (closes: #198804).
  * Reorder smb.conf options for clearer grouping, and clarify the
    comments.
  * Add a default [print$] share to the sample smb.conf, and create the
    necessary tree under /var/lib/samba/printers. (closes: #168173)
  * s/winbind/idmap/ in smb.conf, since the option names have changed.
  * Fix the patch for postexec handling, so that we chdir("/") at the
    right time.

 -- Steve Langasek <vorlon@debian.org>  Thu, 12 Jun 2003 15:02:00 -0500

samba (3.0.0beta1-1) unstable; urgency=low

  * New upstream version.
    - fix for empty browselist bug (closes: #194553)
    - fix for tab completion segfault in smbclient (closes: #194776)
    - Samba now works as a domain member again without segfaulting
      (closes: #194134, #194394, #194775)
    - WinXP machines can join a Samba-controlled domain again
      (closes: #195362)
  * Build-depend on python-dev >= 2.2 instead of on just python-dev
    (without version).
  * Added Vorlon'n patch to source/lib/time.c to fix #194075.
    (closes: #194075)

 -- Eloy A. Paris <peloy@debian.org>  Sun,  8 Jun 2003 22:26:43 -0400

samba (2.999+3.0.alpha24-3) unstable; urgency=low

  * Make sure Samba DSOs are compiled with -fPIC. (closes: #194324)
  * Rebuild against pristine Kerberos libs, to squelch warnings about
    versioned symbols. (closes: #194431, #194396)

 -- Steve Langasek <vorlon@debian.org>  Thu, 22 May 2003 15:32:00 -0500


